Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065450 - repo deleting docs page does not mention all possible responses
Summary: repo deleting docs page does not mention all possible responses
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: documentation
Version: Master
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: 2.4.0
Assignee: Sayli Karmarkar
QA Contact: pulp-qe-list
URL: https://pulp-dev-guide.readthedocs.or...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 16:53 UTC by mkovacik
Modified: 2015-03-23 01:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-09 06:56:35 UTC


Attachments (Terms of Use)

Description mkovacik 2014-02-14 16:53:59 UTC
Description of problem:
when the DELETE method is called, situations/conditions leading to following responses are missing:
 - 404 response
 - 409 response
Also, sample bodies of 202, 404, 409 responses are missing

Version-Release number of selected component (if applicable):
latest docs

Comment 1 Michael Hrivnak 2014-02-17 15:58:03 UTC
In 2.4, we've already removed the 409 possibility. The 404 should be documented though.

Comment 2 Sayli Karmarkar 2014-04-11 06:49:08 UTC
https://github.com/pulp/pulp/pull/892

Comment 3 Sayli Karmarkar 2014-04-14 23:23:48 UTC
Added 404 response. Sample 202 response is not required in this case. We add a sample of CallReport return for 202 only when it includes 'result' that is significant (and which is different for each API). Since we don't have any result in this case, we just have a link to http://pulp-dev-guide.readthedocs.org/en/latest/conventions/sync-v-async.html#call-report in the doc which is sufficient in this case.

Comment 4 Randy Barlow 2014-04-24 20:28:42 UTC
The fix for this bug is included in the 2.4.0-0.10.beta build that was just published to the Pulp fedorapeople.org repository.

Comment 5 mkovacik 2014-04-25 12:39:16 UTC
Verified in latest docs and pulp-server
  Version     : 2.4.0
  Release     : 0.10.beta.git.1.7406489.fc20

# screen log
pulp-admin -u admin -p admin rpm repo create --repo-id=milan
Successfully created repository [milan]

[root@ec2-54-73-150-13 pulp_auto]# curl -X DELETE -k https://admin:admin@`hostname`//pulp/api/v2/repositories/milan/
{"spawned_tasks": [{"_href": "/pulp/api/v2/tasks/099088a9-ac75-4aa3-8a69-b0dc47e3b6a0/", "task_id": "099088a9-ac75-4aa3-8a69-b0dc47e3b6a0"}], "result": null, "error": null}
[root@ec2-54-73-150-13 pulp_auto]# curl -X DELETE -k https://admin:admin@`hostname`//pulp/api/v2/repositories/milan/
{"http_request_method": "DELETE", "exception": null, "error_message": "Missing resource(s): repo_id=milan", "_href": "/pulp/api/v2/repositories/milan/", "http_status": 404, "error": {"code": "PLP0009", "data": {"resources": {"repo_id": "milan"}}, "description": "Missing resource(s): repo_id=milan", "sub_errors": []}, "traceback": null, "resources": {"repo_id": "milan"}}
[root@ec2-54-73-150-13 pulp_auto]#

Comment 6 Randy Barlow 2014-08-09 06:56:35 UTC
This has been fixed in Pulp 2.4.0-1.


Note You need to log in before you can comment on or make changes to this bug.